#ifndef STARSInterface_h
#define STARSInterface_h

#include <interfaces/abstract/STARSSegment.h>

class STARS_Interface_t
{
	public:

		/* return segment for virtual addr */
		virtual STARS_Segment_t *getseg(const STARS_ea_t &addr) =0; 

		/* Return segment at index "index" */
		virtual STARS_Segment_t *getnseg(const int &index) =0; 

		/* return number of segments */
		virtual int get_segm_qty() =0;

		virtual STARS_Segment_t *get_next_seg(const STARS_ea_t &addr) =0;
};

extern STARS_Interface_t* global_stars_interface;

#endif



